Subject: Re: [PATCH] Allow sharing xvmalloc for zram and zcache

From: Nitin Gupta <[email-masked]>
Date: Fri, 11 Feb 2011 02:50:45 +0530

On 02/11/2011 02:47 AM, Randy Dunlap wrote:
> On 02/10/11 13:12, Nitin Gupta wrote:
>> On 02/11/2011 02:38 AM, Randy Dunlap wrote:
>>> On 02/10/11 13:00, Nitin Gupta wrote:
>>>> Both zram and zcache use xvmalloc allocator. If xvmalloc
>>>> is compiled separately for both of them, we will get linker
>>>> error if they are both selected as "built-in". We can also
>>>> get linker error regarding missing xvmalloc symbols if zram
>>>> is not built.
>>>>
>>>> So, we now compile xvmalloc separately and export its symbols
>>>> which are then used by both of zram and zcache.
>>>>
>>>> Signed-off-by: Nitin Gupta<[email-masked]>
>>>
>>> Acked-by: Randy Dunlap<[email-masked]>
>>>
>>>
>>> but what does this patch apply to?  It does not apply cleanly to
>>> linux-next of 20110210.
>>>
>>
>> This applies to staging-2.6. I thought linux-next won't be that
>> different so as to produce conflicts. Can you please send reject files,
>> or let me fetch linux-next tree and will soon post patch against the same.
>
> I'll let you fetch linux-next.  I merged it by hand and test-built it
> successfully.
>

So, can you post the patch against linux-next then? :)

Thanks,
Nitin